<?php

session_name("SIGNADMAUTH");
session_start();

include "common/config/config.php";
include "common/config/dbconfig.php";
include "common/functions/funcconnect.php";
openDB();

include "common/functions/funcselectdb.php";
include "common/functions/funcinsertdb.php";
include "common/functions/funcauthen.php";
include "common/functions/funcvalidateinput.php";

if (!authen())
{ header ("location: login.php");
		}
else if (!fullaccess($_GET['menuid'], $_SESSION['SES_GROUPID']))
{ header("location: index.php");
		}
else
{ $namagroup=isset($_POST['groupname']) ? strtoupper(cleanval($_POST['groupname'])) : NULL;
		$menudipilih=$_POST['menulist'];
		if (empty($namagroup))
		{ $msg="Nama group tidak boleh kosong.<br><br>".$linkback;
				}
		else if (count($menudipilih)<1)
		{	$msg="Hak akses tidak boleh kosong.<br><br>".$linkback;
				}
		else
		{ $err=0;
				$tablename=$db_appusergroups;
				$fieldArray=array("usergroupid");
				$condition="usergroupname='".$namagroup."'";
				$orderArray=array();
				$orderrule="";
				$limit="";
				$selectdb=simpleselect($tablename, $fieldArray, $condition, $orderArray, $orderrule, $limit);
				if (mysqli_num_rows($selectdb)>0)
				{ $msg="Nama group yang dimasukan sudah ada di dalam database.<br><br>".$linkback;
						}
				else
				{ foreach ($menudipilih as $menuid)
						{ $fieldname="userauth".$menuid;
								$useraccess=$_POST[$fieldname];
								if (empty($useraccess))
								{ $tablename=$db_appmenu;
										$fieldArray=array("appmenuname");
										$condition="appmenuid='".$menuid."'";
										$orderArray=array();
										$orderrule="";
										$limit="";
										$selectdb=simpleselect($tablename, $fieldArray, $condition, $orderArray, $orderrule, $limit);
										$menudata=mysqli_fetch_array($selectdb);
										$msg="Hak akses untuk menu ".$menudata['appmenuname']." tidak boleh kosong.<br><br>".$linkback;
																$err=1;
										break;
										}
								}		
						}
				if ($err==0)
				{ // Nama Group
						$tablename=$db_appusergroups;
						$fieldArray=array("usergroupname");
						$valueArray=array($namagroup);
						$insertdb=simpleinsert($tablename, $fieldArray, $valueArray);
						if ($insertdb)
						{ $logdesc="TAMBAH GROUP PENGGUNA ".strtoupper($namagroup);
								include "logakses.php";
								$tablename=$db_appusergroups;
								$fieldArray=array("usergroupid");
								$condition="usergroupname='".$namagroup."'";
								$orderArray=array("usergroupid");
								$orderrule="DESC";
								$limit="";
								$selectdb=simpleselect($tablename, $fieldArray, $condition, $orderArray, $orderrule, $limit);
								$dataidgroup=mysqli_fetch_array($selectdb);
								$idgroup=$dataidgroup['usergroupid'];
								// Otorisasi Pengguna
								$tablename=$db_appauthorization;
								foreach ($menudipilih as $menuid)
								{ $fieldname="userauth".$menuid;
										$useraccess=$_POST[$fieldname];
										$semua=0;
										$baca=0;
										$tambah=0;
										$edit=0;
										$hapus=0;
										foreach ($useraccess as $userauth)
										{ if ($userauth=="semua")
												{ $semua=1;
														$baca=1;
														$tambah=1;
														$edit=1;
														$hapus=1;
														}
												if ($userauth=="baca")
												{ $baca=1;
														}
												else if ($userauth=="tambah")
												{ $tambah=1;
														$baca=1;
														}
												else if ($userauth=="edit")
												{ $edit=1;
														$baca=1;
														}
												else if ($userauth=="hapus")
												{ $hapus=1;
														$baca=1;
														}
												}
										if ($baca==1 && $tambah==1 && $edit==1 && $hapus==1)
										{ $semua=1;
												}
										$fieldArray=array("appgroupid", "appmenuid", "semua", "baca", "tambah", "edit", "hapus");
										$valueArray=array($idgroup, $menuid, $semua, $baca, $tambah, $edit, $hapus);
										$insertdb=simpleinsert($tablename, $fieldArray, $valueArray);			
										}		
								$msg="Menambah group baru sukses.<br><br>";
								}
						}
				}		

		$qq="SELECT a.appmenuname, b.parentmenuname FROM $db_appmenus a, $db_parent_menus b ";
		$qq.="WHERE a.appmenuid='".mysqli_real_escape_string($dbConnection, $_GET['menuid'])."' AND b.parentmenuid=a.parentid";
		$rr=mysqli_query($dbConnection, $qq);
		$dd=mysqli_fetch_array($rr);

		$content="<table border='0' cellpadding='6px' cellspacing='0' width='100%'>
													<tr>
														<td align='left' valign='top' width='100%'>
															<b class='title'>".$dd['parentmenuname']." &gt; ".$dd['appmenuname']."</b>
															<br><hr size='1' color='#000000'><br>
															<table border='0' cellpadding='0' cellspacing='0'>
																<tr>
																	<td align='left' valign='top'>
																		".$msg."
																	</td>
																</tr>
															</table>		
														</td>
													</tr>
												</table>
												";
		}

include "webmenu.php";
include "common/include/template.php";
$temp=new template;
$temp->define_theme("themes/theme1.html");
$temp->define_tag("{PAGETITLE}", $namaaplikasi);
$temp->define_tag("{NAMAUSER}", strtoupper($_SESSION['SES_FULLNAME']));
$temp->define_tag("{APPMENU}", $webmenu);
$temp->define_tag("{APPCONTENT}", $content);
$temp->parse();
$temp->printproses();

closeDB();

?>